Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Adding sdp.c and the bunch of modified Makefile.in... :(
[simgrid.git] / examples / gras / pmm / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = pmm_slave$(EXEEXT) pmm_master$(EXEEXT) \
46         pmm_simulator$(EXEEXT)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
49         $(top_srcdir)/acmacro/dist-files.mk \
50         $(top_srcdir)/examples/temps-gras-stub.mk
51 subdir = examples/gras/pmm
52 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
54         $(top_srcdir)/acmacro/compiler-flags.m4 \
55         $(top_srcdir)/acmacro/context.m4 \
56         $(top_srcdir)/acmacro/fancy_configury.m4 \
57         $(top_srcdir)/acmacro/flex.m4 \
58         $(top_srcdir)/acmacro/gras_arch.m4 \
59         $(top_srcdir)/acmacro/print_null.m4 \
60         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
61 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
62         $(ACLOCAL_M4)
63 mkinstalldirs = $(install_sh) -d
64 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
65 CONFIG_CLEAN_FILES = test_sg test_rl
66 PROGRAMS = $(noinst_PROGRAMS)
67 am_pmm_master_OBJECTS = _pmm_master.$(OBJEXT) pmm.$(OBJEXT)
68 pmm_master_OBJECTS = $(am_pmm_master_OBJECTS)
69 pmm_master_DEPENDENCIES = $(top_builddir)/src/libgras.la
70 am_pmm_simulator_OBJECTS = _pmm_simulator.$(OBJEXT) pmm.$(OBJEXT)
71 pmm_simulator_OBJECTS = $(am_pmm_simulator_OBJECTS)
72 pmm_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
73 am_pmm_slave_OBJECTS = _pmm_slave.$(OBJEXT) pmm.$(OBJEXT)
74 pmm_slave_OBJECTS = $(am_pmm_slave_OBJECTS)
75 pmm_slave_DEPENDENCIES = $(top_builddir)/src/libgras.la
76 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
77 depcomp = $(SHELL) $(top_srcdir)/depcomp
78 am__depfiles_maybe = depfiles
79 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
80         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
81 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
82         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
83         $(AM_CFLAGS) $(CFLAGS)
84 CCLD = $(CC)
85 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
86         $(AM_LDFLAGS) $(LDFLAGS) -o $@
87 SOURCES = $(pmm_master_SOURCES) $(pmm_simulator_SOURCES) \
88         $(pmm_slave_SOURCES)
89 DIST_SOURCES = $(pmm_master_SOURCES) $(pmm_simulator_SOURCES) \
90         $(pmm_slave_SOURCES)
91 ETAGS = etags
92 CTAGS = ctags
93 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
94 ACLOCAL = @ACLOCAL@
95 ADDR2LINE = @ADDR2LINE@
96 AMDEP_FALSE = @AMDEP_FALSE@
97 AMDEP_TRUE = @AMDEP_TRUE@
98 AMTAR = @AMTAR@
99 AR = @AR@
100 AS = @AS@
101 AUTOCONF = @AUTOCONF@
102 AUTOHEADER = @AUTOHEADER@
103 AUTOMAKE = @AUTOMAKE@
104 AWK = @AWK@
105 BASH = @BASH@
106 CC = @CC@
107 CCDEPMODE = @CCDEPMODE@
108 CFLAGS = @CFLAGS@
109 CPP = @CPP@
110 CPPFLAGS = @CPPFLAGS@
111 CXX = @CXX@
112 CXXCPP = @CXXCPP@
113 CXXDEPMODE = @CXXDEPMODE@
114 CXXFLAGS = @CXXFLAGS@
115 CYGPATH_W = @CYGPATH_W@
116 DEFS = @DEFS@
117 DEPDIR = @DEPDIR@
118 DLLTOOL = @DLLTOOL@
119 DOXYGEN = @DOXYGEN@
120 ECHO = @ECHO@
121 ECHO_C = @ECHO_C@
122 ECHO_N = @ECHO_N@
123 ECHO_T = @ECHO_T@
124 EGREP = @EGREP@
125 EXEEXT = @EXEEXT@
126 F77 = @F77@
127 FFLAGS = @FFLAGS@
128 FLEXML = @FLEXML@
129 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
130 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
131 GRAS_DEP = @GRAS_DEP@
132 GREP = @GREP@
133 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
134 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
135 INSTALL_DATA = @INSTALL_DATA@
136 INSTALL_PROGRAM = @INSTALL_PROGRAM@
137 INSTALL_SCRIPT = @INSTALL_SCRIPT@
138 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139 LDFLAGS = @LDFLAGS@
140 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
141 LEX = @LEX@
142 LEXLIB = @LEXLIB@
143 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
144 LIBOBJS = @LIBOBJS@
145 LIBS = @LIBS@
146 LIBTOOL = @LIBTOOL@
147 LN_S = @LN_S@
148 LTLIBOBJS = @LTLIBOBJS@
149 MAINT = @MAINT@
150 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
151 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
152 MAKEINFO = @MAKEINFO@
153 MD5SUM = @MD5SUM@
154 OBJDUMP = @OBJDUMP@
155 OBJEXT = @OBJEXT@
156 PACKAGE = @PACKAGE@
157 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
158 PACKAGE_NAME = @PACKAGE_NAME@
159 PACKAGE_STRING = @PACKAGE_STRING@
160 PACKAGE_TARNAME = @PACKAGE_TARNAME@
161 PACKAGE_VERSION = @PACKAGE_VERSION@
162 PATH_SEPARATOR = @PATH_SEPARATOR@
163 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
164 RANLIB = @RANLIB@
165 SET_MAKE = @SET_MAKE@
166 SHELL = @SHELL@
167 SIMGRID_DEP = @SIMGRID_DEP@
168 STRIP = @STRIP@
169 VERSION = @VERSION@
170 WARNING = @WARNING@
171 abs_builddir = @abs_builddir@
172 abs_srcdir = @abs_srcdir@
173 abs_top_builddir = @abs_top_builddir@
174 abs_top_srcdir = @abs_top_srcdir@
175 ac_configure_args = @ac_configure_args@
176 ac_ct_CC = @ac_ct_CC@
177 ac_ct_CXX = @ac_ct_CXX@
178 ac_ct_F77 = @ac_ct_F77@
179 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
180 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
181 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
182 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
183 am__include = @am__include@
184 am__leading_dot = @am__leading_dot@
185 am__quote = @am__quote@
186 am__tar = @am__tar@
187 am__untar = @am__untar@
188 bindir = @bindir@
189 build = @build@
190 build_alias = @build_alias@
191 build_cpu = @build_cpu@
192 build_id = @build_id@
193 build_os = @build_os@
194 build_vendor = @build_vendor@
195 datadir = @datadir@
196 datarootdir = @datarootdir@
197 docdir = @docdir@
198 dvidir = @dvidir@
199 exec_prefix = @exec_prefix@
200 host = @host@
201 host_alias = @host_alias@
202 host_cpu = @host_cpu@
203 host_os = @host_os@
204 host_vendor = @host_vendor@
205 htmldir = @htmldir@
206 includedir = @includedir@
207 infodir = @infodir@
208 install_sh = @install_sh@
209 libdir = @libdir@
210 libexecdir = @libexecdir@
211 localedir = @localedir@
212 localstatedir = @localstatedir@
213 mandir = @mandir@
214 mkdir_p = @mkdir_p@
215 oldincludedir = @oldincludedir@
216 pdfdir = @pdfdir@
217 prefix = @prefix@
218 program_transform_name = @program_transform_name@
219 psdir = @psdir@
220 pth_skaddr_makecontext = @pth_skaddr_makecontext@
221 pth_sksize_makecontext = @pth_sksize_makecontext@
222 sbindir = @sbindir@
223 sharedstatedir = @sharedstatedir@
224 sysconfdir = @sysconfdir@
225 target = @target@
226 target_alias = @target_alias@
227 target_cpu = @target_cpu@
228 target_os = @target_os@
229 target_vendor = @target_vendor@
230 INCLUDES = -I$(top_srcdir)/include
231 TESTS = test_sg test_rl
232 EXTRA_DIST = pmm.xml  test_sg.in test_rl.in $(TESTS)
233 pmm_simulator_SOURCES = _pmm_simulator.c pmm.c
234 pmm_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
235 pmm_slave_SOURCES = _pmm_slave.c    pmm.c
236 pmm_slave_LDADD = $(top_builddir)/src/libgras.la
237 pmm_master_SOURCES = _pmm_master.c    pmm.c
238 pmm_master_LDADD = $(top_builddir)/src/libgras.la
239
240 # Take care of generatated sources
241 NAME = pmm
242 PROCESSES = slave master
243 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
244              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
245
246 MOSTLYCLEANFILES = $(NAME).trace
247 all: all-am
248
249 .SUFFIXES:
250 .SUFFIXES: .c .lo .o .obj
251 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
252         @for dep in $?; do \
253           case '$(am__configure_deps)' in \
254             *$$dep*) \
255               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
256                 && exit 0; \
257               exit 1;; \
258           esac; \
259         done; \
260         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/pmm/Makefile'; \
261         cd $(top_srcdir) && \
262           $(AUTOMAKE) --gnu  examples/gras/pmm/Makefile
263 .PRECIOUS: Makefile
264 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
265         @case '$?' in \
266           *config.status*) \
267             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
268           *) \
269             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
270             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
271         esac;
272
273 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
274         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275
276 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
277         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
278 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
279         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
280 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
281         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
282 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
283         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
284
285 clean-noinstPROGRAMS:
286         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
287           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
288           echo " rm -f $$p $$f"; \
289           rm -f $$p $$f ; \
290         done
291 pmm_master$(EXEEXT): $(pmm_master_OBJECTS) $(pmm_master_DEPENDENCIES) 
292         @rm -f pmm_master$(EXEEXT)
293         $(LINK) $(pmm_master_LDFLAGS) $(pmm_master_OBJECTS) $(pmm_master_LDADD) $(LIBS)
294 pmm_simulator$(EXEEXT): $(pmm_simulator_OBJECTS) $(pmm_simulator_DEPENDENCIES) 
295         @rm -f pmm_simulator$(EXEEXT)
296         $(LINK) $(pmm_simulator_LDFLAGS) $(pmm_simulator_OBJECTS) $(pmm_simulator_LDADD) $(LIBS)
297 pmm_slave$(EXEEXT): $(pmm_slave_OBJECTS) $(pmm_slave_DEPENDENCIES) 
298         @rm -f pmm_slave$(EXEEXT)
299         $(LINK) $(pmm_slave_LDFLAGS) $(pmm_slave_OBJECTS) $(pmm_slave_LDADD) $(LIBS)
300
301 mostlyclean-compile:
302         -rm -f *.$(OBJEXT)
303
304 distclean-compile:
305         -rm -f *.tab.c
306
307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_master.Po@am__quote@
308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_simulator.Po@am__quote@
309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_pmm_slave.Po@am__quote@
310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pmm.Po@am__quote@
311
312 .c.o:
313 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
314 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
315 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
316 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
317 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
318
319 .c.obj:
320 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
321 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
322 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
323 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
324 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
325
326 .c.lo:
327 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
328 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
329 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
330 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
331 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
332
333 mostlyclean-libtool:
334         -rm -f *.lo
335
336 clean-libtool:
337         -rm -rf .libs _libs
338
339 distclean-libtool:
340         -rm -f libtool
341 uninstall-info-am:
342
343 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
344         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
345         unique=`for i in $$list; do \
346             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347           done | \
348           $(AWK) '    { files[$$0] = 1; } \
349                END { for (i in files) print i; }'`; \
350         mkid -fID $$unique
351 tags: TAGS
352
353 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
354                 $(TAGS_FILES) $(LISP)
355         tags=; \
356         here=`pwd`; \
357         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
358         unique=`for i in $$list; do \
359             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360           done | \
361           $(AWK) '    { files[$$0] = 1; } \
362                END { for (i in files) print i; }'`; \
363         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
364           test -n "$$unique" || unique=$$empty_fix; \
365           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
366             $$tags $$unique; \
367         fi
368 ctags: CTAGS
369 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
370                 $(TAGS_FILES) $(LISP)
371         tags=; \
372         here=`pwd`; \
373         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
374         unique=`for i in $$list; do \
375             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
376           done | \
377           $(AWK) '    { files[$$0] = 1; } \
378                END { for (i in files) print i; }'`; \
379         test -z "$(CTAGS_ARGS)$$tags$$unique" \
380           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
381              $$tags $$unique
382
383 GTAGS:
384         here=`$(am__cd) $(top_builddir) && pwd` \
385           && cd $(top_srcdir) \
386           && gtags -i $(GTAGS_ARGS) $$here
387
388 distclean-tags:
389         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
390
391 check-TESTS: $(TESTS)
392         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
393         srcdir=$(srcdir); export srcdir; \
394         list='$(TESTS)'; \
395         if test -n "$$list"; then \
396           for tst in $$list; do \
397             if test -f ./$$tst; then dir=./; \
398             elif test -f $$tst; then dir=; \
399             else dir="$(srcdir)/"; fi; \
400             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
401               all=`expr $$all + 1`; \
402               case " $(XFAIL_TESTS) " in \
403               *" $$tst "*) \
404                 xpass=`expr $$xpass + 1`; \
405                 failed=`expr $$failed + 1`; \
406                 echo "XPASS: $$tst"; \
407               ;; \
408               *) \
409                 echo "PASS: $$tst"; \
410               ;; \
411               esac; \
412             elif test $$? -ne 77; then \
413               all=`expr $$all + 1`; \
414               case " $(XFAIL_TESTS) " in \
415               *" $$tst "*) \
416                 xfail=`expr $$xfail + 1`; \
417                 echo "XFAIL: $$tst"; \
418               ;; \
419               *) \
420                 failed=`expr $$failed + 1`; \
421                 echo "FAIL: $$tst"; \
422               ;; \
423               esac; \
424             else \
425               skip=`expr $$skip + 1`; \
426               echo "SKIP: $$tst"; \
427             fi; \
428           done; \
429           if test "$$failed" -eq 0; then \
430             if test "$$xfail" -eq 0; then \
431               banner="All $$all tests passed"; \
432             else \
433               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
434             fi; \
435           else \
436             if test "$$xpass" -eq 0; then \
437               banner="$$failed of $$all tests failed"; \
438             else \
439               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
440             fi; \
441           fi; \
442           dashes="$$banner"; \
443           skipped=""; \
444           if test "$$skip" -ne 0; then \
445             skipped="($$skip tests were not run)"; \
446             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
447               dashes="$$skipped"; \
448           fi; \
449           report=""; \
450           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
451             report="Please report to $(PACKAGE_BUGREPORT)"; \
452             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
453               dashes="$$report"; \
454           fi; \
455           dashes=`echo "$$dashes" | sed s/./=/g`; \
456           echo "$$dashes"; \
457           echo "$$banner"; \
458           test -z "$$skipped" || echo "$$skipped"; \
459           test -z "$$report" || echo "$$report"; \
460           echo "$$dashes"; \
461           test "$$failed" -eq 0; \
462         else :; fi
463
464 distdir: $(DISTFILES)
465         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
466         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
467         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
468         list='$(DISTFILES)'; for file in $$list; do \
469           case $$file in \
470             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
471             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
472           esac; \
473           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
474           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
475           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
476             dir="/$$dir"; \
477             $(mkdir_p) "$(distdir)$$dir"; \
478           else \
479             dir=''; \
480           fi; \
481           if test -d $$d/$$file; then \
482             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
483               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
484             fi; \
485             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
486           else \
487             test -f $(distdir)/$$file \
488             || cp -p $$d/$$file $(distdir)/$$file \
489             || exit 1; \
490           fi; \
491         done
492 check-am: all-am
493         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
494 check: check-am
495 all-am: Makefile $(PROGRAMS)
496 installdirs:
497 install: install-am
498 install-exec: install-exec-am
499 install-data: install-data-am
500 uninstall: uninstall-am
501
502 install-am: all-am
503         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
504
505 installcheck: installcheck-am
506 install-strip:
507         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
508           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
509           `test -z '$(STRIP)' || \
510             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
511 mostlyclean-generic:
512         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
513
514 clean-generic:
515         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
516
517 distclean-generic:
518         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
519
520 maintainer-clean-generic:
521         @echo "This command is intended for maintainers to use"
522         @echo "it deletes files that may require special tools to rebuild."
523 clean: clean-am
524
525 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
526         mostlyclean-am
527
528 distclean: distclean-am
529         -rm -rf ./$(DEPDIR)
530         -rm -f Makefile
531 distclean-am: clean-am distclean-compile distclean-generic \
532         distclean-libtool distclean-tags
533
534 dvi: dvi-am
535
536 dvi-am:
537
538 html: html-am
539
540 info: info-am
541
542 info-am:
543
544 install-data-am:
545
546 install-exec-am:
547
548 install-info: install-info-am
549
550 install-man:
551
552 installcheck-am:
553
554 maintainer-clean: maintainer-clean-am
555         -rm -rf ./$(DEPDIR)
556         -rm -f Makefile
557 maintainer-clean-am: distclean-am maintainer-clean-generic
558
559 mostlyclean: mostlyclean-am
560
561 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
562         mostlyclean-libtool
563
564 pdf: pdf-am
565
566 pdf-am:
567
568 ps: ps-am
569
570 ps-am:
571
572 uninstall-am: uninstall-info-am
573
574 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
575         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
576         distclean distclean-compile distclean-generic \
577         distclean-libtool distclean-tags distdir dvi dvi-am html \
578         html-am info info-am install install-am install-data \
579         install-data-am install-exec install-exec-am install-info \
580         install-info-am install-man install-strip installcheck \
581         installcheck-am installdirs maintainer-clean \
582         maintainer-clean-generic mostlyclean mostlyclean-compile \
583         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
584         tags uninstall uninstall-am uninstall-info-am
585
586
587 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
588         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
589
590 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
591         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
592
593 dist-files:
594         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
595         @echo
596         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
597
598 # Cruft
599 # Tell versions [3.59,3.63) of GNU make to not export all variables.
600 # Otherwise a system limit (for SysV at least) may be exceeded.
601 .NOEXPORT: